petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexSetPartitioner

Set the mesh partitioner

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetPartitioner(DM dm, PetscPartitioner part)

logically collective on dm and part Many br

### Input Parameters

| dm | - The DM Many br
| part | - The partitioner Many br

Many br

Note: Any existing PetscPartitioner will be destroyed. Many br

### See Also

DMPlexDistribute(), DMPlexGetPartitioner(), PetscPartitionerCreate()

Level:developer
Location:src/dm/impls/plex/plexpartition.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages